Method: projects.locations.collections.engines.sessions.alphaEvolveExperiments.list

列出指定工作階段中的所有 AlphaEvolveExperiment。

HTTP 要求


GET https://discoveryengine.googleapis.com/v1alpha/{parent=projects/*/locations/*/collections/*/engines/*/sessions/*}/alphaEvolveExperiments

這些網址使用 gRPC 轉碼語法。

路徑參數

參數
parent

string

這是必要旗標,Session 的父項資源名稱 (工作階段)。格式:projects/{project}/locations/{location}/collections/{collection}/engines/{engine}/sessions/{session}

查詢參數

參數
pageSize

integer

選用。要傳回的實驗數量上限。服務傳回的產品數量可能會少於這個值。

pageToken

string

選用。屬於接收自前一個 alphaEvolveExperiments.list 呼叫的網頁權杖。提供此項目即可擷取後續網頁。

要求主體

要求主體必須為空白。

回應主體

AlphaEvolveService.ListAlphaEvolveExperiments 的回應訊息。

如果成功,回應主體會含有以下結構的資料:

JSON 表示法
{
  "alphaEvolveExperiments": [
    {
      object (AlphaEvolveExperiment)
    }
  ],
  "nextPageToken": string
}
欄位
alphaEvolveExperiments[]

object (AlphaEvolveExperiment)

僅供輸出。實驗清單。

nextPageToken

string

僅供輸出。可做為 pageToken 傳送的權杖,用於擷取後續網頁。如果省略這個欄位,就不會有後續頁面。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

詳情請參閱Authentication Overview。